package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class InspectionItemPlanQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "itemId",required = false)
    private Long itemId;

    @ApiModelProperty(value = "分部ids",required = false)
    private String organId;

    @ApiModelProperty(value = "合作单位id",required = false)
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "乐团id",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团主管id",required = false)
    private Integer userId;

    @ApiModelProperty(value = "巡查结果是否异常 0-正常 1-异常",required = false)
    private Integer conclusionStatus;

    @ApiModelProperty(value = "提交状态 0 -未提交 1-正常 2-异常",required = false)
    private Integer status;

    @ApiModelProperty(value = "是否已提交 0-未提交 1-已提交 ",required = false)
    private Integer hasSubmit;

    @ApiModelProperty(value = "月份",required = false)
    private Date month;

    private Date startTime;

    private Date endTime;

    @ApiModelProperty(value = "ids",required = false)
    private String ids;

    @ApiModelProperty(value = "乐团巡查任务未提交：INSPECTION_ITEM_PLAN 乐团巡查事项异常：MUSIC_PATROL_ITEM",required = false)
    private String searchType;

    private String searchStartTime;

    private String generateStartTime;

    private String generateEndTime;

    private String dealStartTime;

    private String dealEndTime;

    private Boolean hasDealTime;

    public Boolean getHasDealTime() {
        return hasDealTime;
    }

    public void setHasDealTime(Boolean hasDealTime) {
        this.hasDealTime = hasDealTime;
    }

    public String getSearchStartTime() {
        return searchStartTime;
    }

    public void setSearchStartTime(String searchStartTime) {
        this.searchStartTime = searchStartTime;
    }


    public String getSearchType() {
        return searchType;
    }

    public void setSearchType(String searchType) {
        this.searchType = searchType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getHasSubmit() {
        return hasSubmit;
    }

    public void setHasSubmit(Integer hasSubmit) {
        this.hasSubmit = hasSubmit;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getConclusionStatus() {
        return conclusionStatus;
    }

    public void setConclusionStatus(Integer conclusionStatus) {
        this.conclusionStatus = conclusionStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getGenerateStartTime() {
        return generateStartTime;
    }

    public void setGenerateStartTime(String generateStartTime) {
        this.generateStartTime = generateStartTime;
    }

    public String getGenerateEndTime() {
        return generateEndTime;
    }

    public void setGenerateEndTime(String generateEndTime) {
        this.generateEndTime = generateEndTime;
    }

    public String getDealStartTime() {
        return dealStartTime;
    }

    public void setDealStartTime(String dealStartTime) {
        this.dealStartTime = dealStartTime;
    }

    public String getDealEndTime() {
        return dealEndTime;
    }

    public void setDealEndTime(String dealEndTime) {
        this.dealEndTime = dealEndTime;
    }
}
